Get scheduled payment by ID - V1
GET /order/v1/banking/subscriptions/payments/{id}
Retrieve a scheduled payment by its ID.
NOTE: Please, to authenticate use the scope: “api://app-order-prd”
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The scheduled payment ID (UUID)
Responses
Section titled “ Responses ”The resource was returned successfully
object
The unique id of the scheduled payment
Example
42efcabd-4e69-4402-ba55-389cee74d579The id of the subscription
Example
8d1d0fe6-36a3-4804-8868-31a35415903fThe status of the schedules payment
Example
ACCEPTEDThe status history of the subscription
object
The status of the subscription when the status history was created
Example
PENDINGThe date and time when the resource was created, in ISO 8601 format (RFC 3339), UTC. Example: 2025-01-15T10:00:00Z
Example
2025-01-15T10:00:00ZThe idempotency key
Example
c3ac5273-ef68-42c7-b3a3-dfbfc040511dThe purpose of the scheduled payment
Example
FIRST_ATTEMPTThe due date of the scheduled payment in ISO 8601 format (YYYY-MM-DD). Example: 2025-02-10
Example
2025-02-10The amount object of the scheduled payment
object
The currency field.
Example
BRLThe value field.
Example
10.95A optional description of the scheduled payment
Example
Scheduled monthly subscription paymentThe url to receive the updates about the scheduled payment
Example
https://example.com/schedule-paymentsThe external ID from the partner system
Example
3931268d-a0a2-44ce-8ca3-843db77d352eThe end to end ID from PIX
Example
E33630661202501190000000000001The id of the order generated when the scheduled payment was paid. Present only after payment.
Example
8c385efb-a5c3-4b83-abf0-927c4b6ac5cbThe date and time when the resource was created, in ISO 8601 format (RFC 3339), UTC. Example: 2025-01-15T10:00:00Z
Example
2025-01-15T10:00:00ZThe date and time when the resource was last updated, in ISO 8601 format (RFC 3339), UTC. Example: 2025-01-20T14:45:00Z
Example
2025-01-20T14:45:00ZThe array of cancellations attempts
object
The unique id of the cancellation
Example
0cc46bf7-61dc-4abc-a527-f637d2d1fc76The end to end ID from PIX
Example
E33630661202501190000000000001The idempotency key
Example
6edbd94a-8ad5-48c2-961a-27250853e9c0The cancellation status
Example
ACCEPTEDThe array of status history
object
The status
Example
PENDINGThe date and time when the resource was created, in ISO 8601 format (RFC 3339), UTC. Example: 2025-01-15T10:00:00Z
Example
2025-01-15T10:00:00ZThe reason of the cancellation
Example
REQUESTED_BY_RECEIVERThe customer object that requested the cancellation
object
The customer document
object
Document type
Example
CPFDocument number
Example
12345678910The date and time when the resource was created, in ISO 8601 format (RFC 3339), UTC. Example: 2025-01-15T10:00:00Z
Example
2025-01-15T10:00:00ZThe date and time when the resource was last updated, in ISO 8601 format (RFC 3339), UTC. Example: 2025-01-20T14:45:00Z
Example
2025-01-20T14:45:00Zobject
Example
INVALID_REQUESTobject
Example
[ { "field": "field_name", "issue": "INVALID", "description": "Field is invalid" }]Unauthorized Request
object
Example
UNAUTHORIZEDExample
Unauthorized Requestobject
Example
[]object
Example
FORBIDDEN_ERRORobject
Example
[]Resource not found
object
Example
NOT_FOUNDExample
Resource not foundobject
Example
[]object
Example
INTERNAL_ERRORobject
Example
[]